%define momorel         6
%define	emacsver	21.3
%define xemacsver	21.4
%define apelver		10.6-2m

Summary: Japanese-capable IRC Client for Emacsen
Name: elisp-irchat-pj
Version: 2.4.24.22
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source0: ftp://ftp.fan.gr.jp/pub/elisp/irchat-pj/irchat-pj-%{version}.tar.bz2
NoSource: 0
Source1: irchat-pj.el
Patch0: irchat-pj-for-ddskk.patch
URL: http://irc.fan.gr.jp/pj/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen

%description
irchat-pj package includes Japanse IRC Client for Emacsen.

%package -n irchat-pj-emacs
Summary: Japanese-capable IRC Client for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}

%description -n irchat-pj-emacs
irchat-pj package includes Japanse IRC Client for Emacs.

%package -n irchat-pj-xemacs
Summary: Japanese-capable IRC Client for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: apel-xemacs >= %{apelver}

%description -n irchat-pj-xemacs
irchat-pj package includes Japanse IRC Client for Emacs.

%prep
%setup -q -n irchat-pj-%{version}
%patch0 -p1 -b .ddskk

rm -rf %{buildroot}

%build
make
for i in `ls *.elc`; do
    mv $i $i.emacs
done
make package
for i in `ls *.elc`; do
    mv $i $i.xemacs
done
mv doc/* .

%install
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/irchat-pj
mkdir -p %{buildroot}%{_datadir}/irchat-pj
for i in `ls *.elc.emacs`; do
    cp $i ${i/.emacs}
done
make LISPDIR=%{buildroot}%{_datadir}/emacs/site-lisp/irchat-pj \
    DCCDIR=%{buildroot}%{_datadir}/irchat-pj \
    install

mkdir -p %{buildroot}%{_libdir}/xemacs/site-packages
for i in `ls *.elc.xemacs`; do
    cp $i ${i/.xemacs}
done
make PACKAGEDIR=%{buildroot}%{_libdir}/xemacs/site-packages \
    install-package

install -m 644 contrib/*.el browse-url-plus-init.el \
    %{buildroot}%{_datadir}/emacs/site-lisp/irchat-pj
install -m 644 contrib/*.el browse-url-plus-init.el \
    %{buildroot}%{_libdir}/xemacs/site-packages/lisp/irchat-pj

find %{buildroot}%{_libdir}/xemacs/site-packages -not -type d -printf "/%%P\n" \
    | grep -v '^/etc/' | sed 's|^/||g' | sort \
    > %{buildroot}%{_libdir}/xemacs/site-packages/pkginfo/MANIFEST.irchat-pj

mkdir -p %{buildroot}%{_datadir}/config-sample/elisp-irchat-pj
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/elisp-irchat-pj

# remove
rm -f %{buildroot}%{_libdir}/xemacs/site-packages/etc/irchat-pj/dcc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
## delete symlinks if existed
if [ -L %{_bindir}/dcc ]; then
    echo -n "Removing symbolic link %{_bindir}/dcc ..."
    rm -f %{_bindir}/dcc
    echo "done."
fi
## make new symlinks
if [ ! -x %{_bindir}/dcc -a ! -L %{_bindir}/dcc ]; then
    echo -n "Making symbolic link %{_bindir}/dcc -> %{_datadir}/irchat-pj/dcc ..."
    ln -sf %{_datadir}/irchat-pj/dcc %{_bindir}/dcc
    echo "done."
fi

%preun
if [ "$1" = 0 ]; then
    ## delete symlink by force
    if [ -L %{_bindir}/dcc ]; then
	echo -n "Removing symbolic link %{_bindir}/dcc ..."
	rm -f %{_bindir}/dcc
	echo "done."
    fi
fi

%files
%defattr(-,root,root)
%doc CHANGELOG FAQ-about-jp24.txt FAQ-irchat-PJ.txt
%doc GPL INSTALL.irchat-pj README.browse-url-plus
%doc README.irchat-pj dot.irchat_vars.el
%dir %{_datadir}/config-sample/elisp-irchat-pj
%{_datadir}/config-sample/elisp-irchat-pj/*
%dir %{_datadir}/irchat-pj
%{_datadir}/irchat-pj/*

%files -n irchat-pj-emacs
%defattr(-,root,root)
%dir %{_datadir}/emacs/site-lisp/irchat-pj
%{_datadir}/emacs/site-lisp/irchat-pj/*

%files -n irchat-pj-xemacs
%defattr(-,root,root)
%dir %{_libdir}/xemacs/site-packages/lisp/irchat-pj
%{_libdir}/xemacs/site-packages/lisp/irchat-pj/*
%{_libdir}/xemacs/site-packages/pkginfo/*

%changelog
* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.24.22-6m)
- revised spec for enabling rpm 4.2.

* Sat Jul 12 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (2.4.24.22-5m)
- rebuild against elisp-apel-10.6-2m
- use %%{momorel}

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.24.22-4m)
- rebuild against emacs-21.3

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (2.4.24.22-3m)
- rebuild against elisp-apel-10.4-1m

* Fri Aug 16 2002 Hideo TASHIRO <tashiron@jasmiso.org>
- (2.4.24.22-2m)
- rebuild against elisp-apel-10.3-21m

* Tue Jul 25 2002 smbd <smbd@momonga-linux.org>
- (2.4.24.22-1m)
- up to 2.4.24.22

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.4.24.20-12k)
- rebuild against emacs-21.2
- revive Requires: emacsen

* Sun Feb 17 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.24.20-10k)
- remove ``Requires: emacsen''.

* Tue Feb  5 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.24.20-8k)
- fix for Daredevil SKK.

* Tue Nov 13 2001 Tsutomu Yasuda <tom@kondara.org>
- (elisp-irchat-pj-2.4.24.20-6k)
  added defattr

* Sat Nov 10 2001 Kenta MURATA <muraken2@nifty.com>
- (elisp-irchat-pj-2.4.24.20-4k)
- marge irchat-pj-emacs and irchat-pj-xemacs.
- make configuration sample.
